Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ejb
Class WLStop

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.optional.ejb.WLStop

public class WLStop
extends Task

Shutdown a Weblogic server.

Author:
  Conor MacNeill, Cortex ebusiness Pty Limited

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`WLStop()`

Method Summary
`Path` | `createClasspath()` Add the classpath for the user classes
`void` | `execute()` Do the work.
`void` | `setBEAHome(java.io.File beaHome)` The location of the BEA Home.
`void` | `setClasspath(Path path)` Set the classpath to be used for this compilation.
`void` | `setDelay(java.lang.String s)` Set the delay (in seconds) before shutting down the server.
`void` | `setPassword(java.lang.String s)` Set the password to use to request shutdown of the server.
`void` | `setUrl(java.lang.String s)` Set the URL to which the weblogic server is listening.
`void` | `setUser(java.lang.String s)` Set the username to use to request shutdown of the server.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLStop

    public WLStop()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Do the work. The work is actually done by creating a separate JVM to run the weblogic admin task This approach allows the classpath of the helper task to be set.
  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### setClasspath

    public void setClasspath(Path path)

  Set the classpath to be used for this compilation.
  Parameters:
    `s` - the classpath to use when executing the weblogic admin task.

### createClasspath

    public Path createClasspath()

  Add the classpath for the user classes

### setUser

    public void setUser(java.lang.String s)

  Set the username to use to request shutdown of the server.
  Parameters:
    `s` - the username.

### setPassword

    public void setPassword(java.lang.String s)

  Set the password to use to request shutdown of the server.
  Parameters:
    `s` - the password.

### setUrl

    public void setUrl(java.lang.String s)

  Set the URL to which the weblogic server is listening.
  Parameters:
    `s` - the url.

### setDelay

    public void setDelay(java.lang.String s)

  Set the delay (in seconds) before shutting down the server.
  Parameters:
    `s` - the selay.

### setBEAHome

    public void setBEAHome(java.io.File beaHome)

  The location of the BEA Home.
  Parameters:
    `beaHome` - the BEA Home directory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.